package cn.wangdian.erp.sdk.api.wms;

import cn.wangdian.erp.sdk.Pager;
import cn.wangdian.erp.sdk.api.wms.dto.*;
import cn.wangdian.erp.sdk.impl.Api;

import java.util.List;
import java.util.Map;

public interface StockAPI {
    @Api(value = "wms.StockSpec.search", paged = true)
    StockSearchResponse search(StockSearchRequest request, Pager pager);

    @Api("wms.StockPd.stockSyncByPd")
    Map<String, Object> createPdOrder(PdOrderCreateRequest.OrderDto order, List<PdOrderCreateRequest.DetailDto> detailDtoList);
}
