package cn.wangdian.erp.demo;

import cn.wangdian.erp.sdk.Client;
import cn.wangdian.erp.sdk.Pager;
import cn.wangdian.erp.sdk.api.wms.stockin.StockinAPI;
import cn.wangdian.erp.sdk.api.wms.stockin.dto.RefundStockinRequest;
import cn.wangdian.erp.sdk.api.wms.stockin.dto.RefundStockinResponse;
import cn.wangdian.erp.sdk.impl.ApiFactory;
import cn.wangdian.erp.sdk.impl.DefaultClient;

public class Stockin {
    public static void main(String[] args) {
        //        Client client = DefaultClient.get("wdtapi3", "test", "test");
        Client client = DefaultClient.get("wdterp30","http://192.168.1.41:30000/", "POS", "c1fbdd70132de9300d23a05a5f63e150:cc169a95acdaa9ffaed4e9d59f93efaa");
        StockinAPI stockinAPI = ApiFactory.get(client, StockinAPI.class);

        refundStockin(stockinAPI);
    }
    private static void refundStockin(StockinAPI stockinAPI){


        RefundStockinRequest request = new RefundStockinRequest();
        request.setStartTime("2019-09-01");
        request.setEndTime("2019-10-01");

        RefundStockinResponse response = stockinAPI.searchRefund(request, new Pager(1, 0, true));
        if (response.getTotal() <=0)
        {
            System.out.println("No eligible results!");
            return;
        }

        for (RefundStockinResponse.OrderInfoDto order : response.getOrders()) {
            System.out.println(order.getRefundNo() + " detail count:" + order.getDetailList().size() + " first detail:" + order.getDetailList().get(0).getSpecNo());
        }

    }
}
